<dx-data-grid class="gridContainer box-shadow" #gridParty [columnAutoWidth]='true' [allowColumnResizing]='true'
  [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
  [showRowLines]='ui.showRowLines' [height]='ui.fullHeight' [dataSource]='dsParty' (onToolbarPreparing)='partyToolbarPreparing($event)'>

  <dxo-export [enabled]='true' [enabled]='true' fileName='party'></dxo-export>
  <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
  <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
  <dxo-search-panel [visible]='true'></dxo-search-panel>
  <dxo-master-detail [enabled]='true' template='details'></dxo-master-detail>

  <dxi-column caption='Denumire' dataField='p_name' dataType='string'></dxi-column>
  <dxi-column caption='CIF' dataField='p_cif' dataType='string'></dxi-column>
  <dxi-column caption='Județ' dataField='co_name' dataType='string'></dxi-column>
  <dxi-column caption='Localitate' dataField='loc_name' dataType='string'></dxi-column>
  <dxi-column caption='Adresa' dataField='p_address' dataType='string'></dxi-column>
  <dxi-column caption='Tip activități' dataField='p_activitiesType' dataType='string'></dxi-column>
  <dxi-column caption='Activ' dataField='p_isActiv' dataType='boolean'></dxi-column>
  <dxi-column caption='Este subcontractor' dataField='p_isSubcontractor' dataType='boolean'></dxi-column>
  <dxi-column caption='Contractor' dataField='parent_name' dataType='string'>
  </dxi-column>
  <dxi-column type="buttons" fixedPosition='left' width='70' [fixed]='true' [allowResizing]='false'
    [showInColumnChooser]='false'>
    <dxi-button hint='Editează' icon="edit" [onClick]="onEditPartyClick"></dxi-button>
  </dxi-column>

  <div *dxTemplate="let party of 'details'">
    <dx-data-grid #gridWC [height]='300' [columnAutoWidth]='true' [allowColumnResizing]='true'
      [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
      [showRowLines]='ui.showRowLines' (onContentReady)='onWCInit($event, party.data.p_id)' (onToolbarPreparing)='wcToolbarPreparing($event)'>

      <dxo-search-panel [visible]='true'></dxo-search-panel>
      <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
      <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>

      <dxi-column caption='Denumire' dataField='p_name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
      <dxi-column caption='Județ' dataField='co_name' dataType='string'></dxi-column>
      <dxi-column caption='Localitate' dataField='loc_name' dataType='string'></dxi-column>
      <dxi-column caption='Adresa' dataField='p_address' dataType='string' [allowHeaderFiltering]='false'></dxi-column>

      <dxi-column type="buttons" fixedPosition='right' width='110' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false'>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditDetailsPartyClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteDetailsPartyClick"></dxi-button>
      </dxi-column>
    </dx-data-grid>
  </div>
</dx-data-grid>

<dx-popup width='auto' [minWidth]='ui.minWidthPopup' maxWidth='90vw' (onShown)='ui.onPopupShown($event)'
  (onHidden)='ui.onPopupHidden($event)' (onInitialized)='editWC.popupInit($event)' height='auto' title='Punct de lucru'>
  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view [height]='ui.scrollHeight' width="auto" direction="both">
      <app-edit-party-work-center></app-edit-party-work-center>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" 
    [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: editWC.onSave, validationGroup:'editWC.wcValidation' }">
  </dxi-toolbar-item>
</dx-popup>